# Uses of Interface
org.eclipse.ecf.discovery.IServiceTypeListener

Packages that use IServiceTypeListener
Package
Description
org.eclipse.ecf.discovery
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.zookeeper.core

## Uses of IServiceTypeListener in org.eclipse.ecf.discovery

Methods in org.eclipse.ecf.discovery with parameters of type IServiceTypeListener
Modifier and Type
Method
Description
`void`
AbstractDiscoveryContainerAdapter.`addServiceTypeListener(IServiceTypeListener aListener)`
`void`
IDiscoveryLocator.`addServiceTypeListener(IServiceTypeListener listener)`
Add a service type listener.
`void`
AbstractDiscoveryContainerAdapter.`removeServiceTypeListener(IServiceTypeListener aListener)`
`void`
IDiscoveryLocator.`removeServiceTypeListener(IServiceTypeListener listener)`
Remove a service type listener.

## Uses of IServiceTypeListener in org.eclipse.ecf.provider.jslp.container

Methods in org.eclipse.ecf.provider.jslp.container with parameters of type IServiceTypeListener
Modifier and Type
Method
Description
`void`
JSLPDiscoveryContainer.`addServiceTypeListener(IServiceTypeListener listener)`

## Uses of IServiceTypeListener in org.eclipse.ecf.provider.zookeeper.core

Methods in org.eclipse.ecf.provider.zookeeper.core that return types with arguments of type IServiceTypeListener
Modifier and Type
Method
Description
`Collection<IServiceTypeListener>`
ZooDiscoveryContainer.`getServiceTypeListeners()`